Apache log4cxx: File Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# File Class Reference

List of all members.

## Detailed Description

An abstract representation of file and directory path names.

## Public Member Functions
| File ()
| Construct a new instance.
| File (const char *path)
| Construct a new instance.
| File (const std::string &path)
| Construct a new instance.
| File (const wchar_t *path)
| Construct a new instance.
| File (const std::wstring &path)
| Construct a new instance.
| File (const UniChar *path)
| Construct a new instance.
| File (const std::basic_string< UniChar > &path)
| Construct a new instance.
| File (const CFStringRef &path)
| Construct a new instance.
| File (const File &src)
| Copy constructor.
File & | operator= (const File &src)
| Assignment operator.
| ~File ()
| Destructor.
bool | exists (log4cxx::helpers::Pool &p) const
| Determines if file exists.
size_t | length (log4cxx::helpers::Pool &p) const
| Determines length of file.
log4cxx_time_t | lastModified (log4cxx::helpers::Pool &p) const
| Determines last modification date.
LogString | getName () const
| Get final portion of file path.
LogString | getPath () const
| Get file path.
File & | setPath (const LogString &)
| Set file path.
log4cxx_status_t | open (apr_file_t **file, int flags, int perm, log4cxx::helpers::Pool &p) const
| Open file.
std::vector< LogString > | list (log4cxx::helpers::Pool &p) const
| List files if current file is a directory.
bool | deleteFile (log4cxx::helpers::Pool &p) const
| Delete file.
bool | renameTo (const File &dest, log4cxx::helpers::Pool &p) const
| Rename file.
LogString | getParent (log4cxx::helpers::Pool &p) const
| Get path of parent directory.
bool | mkdirs (log4cxx::helpers::Pool &p) const
| Make directories recursively.

## Constructor & Destructor Documentation

File | ( |  | ) |

| Construct a new instance.

File | ( | const char * | path | ) |

  | Construct a new instance. Use setPath to specify path using a LogString. Parameters:
  | path | file path in local encoding.

File | ( | const std::string & | path | ) |

  | Construct a new instance. Use setPath to specify path using a LogString. Parameters:
  | path | file path in current encoding.

File | ( | const wchar_t * | path | ) |

  | Construct a new instance. Use setPath to specify path using a LogString. Parameters:
  | path | file path.

File | ( | const std::wstring & | path | ) |

  | Construct a new instance. Use setPath to specify path using a LogString. Parameters:
  | path | file path.

File | ( | const UniChar * | path | ) |

  | Construct a new instance. Use setPath to specify path using a LogString. Parameters:
  | path | file path.

File | ( | const std::basic_string< UniChar > & | path | ) |

  | Construct a new instance. Use setPath to specify path using a LogString. Parameters:
  | path | file path.

File | ( | const CFStringRef & | path | ) |

  | Construct a new instance. Use setPath to specify path using a LogString. Parameters:
  | path | file path.

File | ( | const File & | src | ) |

| Copy constructor.

~File | ( |  | ) |

| Destructor.

## Member Function Documentation

bool deleteFile | ( | log4cxx::helpers::Pool & | p | ) | const

  | Delete file. Parameters:
  | p | pool.
Returns: true if file successfully deleted.

bool exists | ( | log4cxx::helpers::Pool & | p | ) | const

  | Determines if file exists. Parameters:
  | p | pool.
Returns: true if file exists.

LogString getName | ( |  | ) | const

| Get final portion of file path. Returns: file name.

LogString getParent | ( | log4cxx::helpers::Pool & | p | ) | const

  | Get path of parent directory. Parameters:
  | p | pool.
Returns: path of parent directory.

LogString getPath | ( |  | ) | const

| Get file path. Returns: file path.

log4cxx_time_t lastModified | ( | log4cxx::helpers::Pool & | p | ) | const

  | Determines last modification date. Parameters:
  | p | pool.
Returns: length of file.

size_t length | ( | log4cxx::helpers::Pool & | p | ) | const

  | Determines length of file. May not be accurate if file is current open. Parameters:
  | p | pool.
Returns: length of file.

std::vector<LogString> list | ( | log4cxx::helpers::Pool & | p | ) | const

  | List files if current file is a directory. Parameters:
  | p | pool.
Returns: list of files in this directory, operation of non-directory returns empty list.

bool mkdirs | ( | log4cxx::helpers::Pool & | p | ) | const

  | Make directories recursively. Parameters:
  | p | pool.
Returns: true if all requested directories existed or have been created.

log4cxx_status_t open | ( | apr_file_t ** | file,
|  | int | flags,
|  | int | perm,
|  | log4cxx::helpers::Pool & | p
| ) | const

  | Open file. See apr_file_open for details. Parameters:
  | file | APR file handle.
  | flags | flags.
  | perm | permissions.
  | p | pool.
Returns: APR_SUCCESS if successful.

File& operator= | ( | const File & | src | ) |

| Assignment operator.

bool renameTo | ( | const File & | dest,
|  | log4cxx::helpers::Pool & | p
| ) | const

  | Rename file. Parameters:
  | dest | new path for file.
  | p | pool.
Returns: true if file successfully renamed.

File& setPath | ( | const LogString & |  | ) |

| Set file path.

The documentation for this class was generated from the following file:

- file.h